summaryrefslogtreecommitdiff
path: root/selftest/gdb_run
diff options
context:
space:
mode:
Diffstat (limited to 'selftest/gdb_run')
-rwxr-xr-xselftest/gdb_run20
1 files changed, 20 insertions, 0 deletions
diff --git a/selftest/gdb_run b/selftest/gdb_run
new file mode 100755
index 0000000000..8ad101ed60
--- /dev/null
+++ b/selftest/gdb_run
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+ENV="$1"
+
+shift 1
+
+if test -z "$TMPDIR"; then
+ TMPDIR="/tmp"
+fi
+
+TMPFILE=$TMPDIR/gdb_run.$$
+cat << EOF > $TMPFILE
+run
+bt
+EOF
+
+trap "/bin/rm -f $TMPFILE" EXIT
+CMD="gdb -x $TMPFILE --args $@"
+echo $CMD
+eval $ENV "$CMD"